commit 7836113ff4726e96c2ecf34e6954e657c0e84602
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Fri Sep 27 16:54:31 2024 +0100

    libstdc++: Tweak %c formatting for chrono types
    
    libstdc++-v3/ChangeLog:
    
            * include/bits/chrono_io.h (__formatter_chrono::_M_c): Add
            [[unlikely]] attribute to condition for missing %c format in
            locale. Use %T instead of %H:%M:%S in fallback.
    
    (cherry picked from commit ce89d2f3170e0d6474cee2c5cb9d478426a5b2f6)

diff --git a/libstdc++-v3/include/bits/chrono_io.h b/libstdc++-v3/include/bits/chrono_io.h
index f8b78daedc6..eaa864b0bdc 100644
--- a/libstdc++-v3/include/bits/chrono_io.h
+++ b/libstdc++-v3/include/bits/chrono_io.h
@@ -799,8 +799,8 @@ namespace __format
 	  const _CharT* __formats[2];
 	  __tp._M_date_time_formats(__formats);
 	  const _CharT* __rep = __formats[__mod];
-	  if (!*__rep)
-	    __rep = _GLIBCXX_WIDEN("%a %b %e %H:%M:%S %Y");
+	  if (!*__rep) [[unlikely]]
+	    __rep = _GLIBCXX_WIDEN("%a %b %e %T %Y");
 	  basic_string<_CharT> __fmt(_S_empty_spec);
 	  __fmt.insert(1u, 1u, _S_colon);
 	  __fmt.insert(2u, __rep);

